package com.bootdo.datas.controller;


import com.bootdo.common.annotation.Log;
import com.bootdo.common.utils.PageUtils;
import com.bootdo.common.utils.Query;
import com.bootdo.datas.dto.GyDataImportDTO;
import com.bootdo.datas.service.GyDataService;
import com.google.common.collect.Lists;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;
import java.util.Map;

@Controller
@RequestMapping("/datas/dataEntry")
public class DataEntryController {
    private static Logger log = LoggerFactory.getLogger(DataEntryController.class);


    @Autowired
    private GyDataService gyDataService;

    @GetMapping()
    @Log("访问数据条目")
    @RequiresPermissions("datas:dataEntry:data")
    String Data() {
        return "datas/dataEntry/data";
    }

    @ResponseBody
    @GetMapping("/list")
    @RequiresPermissions("datas:dataEntry:data")
    public PageUtils dataEntryList(@RequestParam Map<String, Object> map) {
        // 查询列表数据
        Query query = new Query(map);
        query.put("dataStatusArrs", Lists.newArrayList(0,1,2,3,4));

        List<GyDataImportDTO> dataList = gyDataService.dataEntryList(query);
        int total = gyDataService.dataEntryCountTotal(query);
        return new PageUtils(dataList, total);
    }
}
